VectorLinux
September 20, 2014, 05:42:47 pm *
Welcome, Guest. Please login or register.
Did you miss your activation email?

Login with username, password and session length
News: Visit our home page for VL info. To search the old message board go to http://vectorlinux.com/forum1. The first VL forum is temporarily offline until we can find a host for it. Thanks for your patience.
 
Now powered by KnowledgeDex.
   Home   Help Search Login Register  
Please support VectorLinux!
Pages: [1]
  Print  
Author Topic: Stellarium, Anyone have it working?  (Read 1848 times)
reb
Vectorite
***
Posts: 136


The BOSS


« on: March 31, 2008, 11:39:31 am »


Stellarium is a planetarium program and if you like the stars at night it looks like a neat program. http://www.stellarium.org

My question is:  Does anyone have it working on Vl 5.9 or any other ver of Vl.  One of my problems are the 'dependencies'.
I can't seem to find them and wouldn't know what to do with them even if I had them.

I could use some help  Wink

reb
Logged

Ye Ole Montana Saddle Tramp
Nothing is right or wrong, good or bad, only thinking makes it so.  Think about it.
Running a Vector Linux VL3300 with 1 SATA 80GB HDD and 1GB DDR 400 ram, DVD+-RW , and VL 5.9 Delux
M0E-lnx
Administrator
Vectorian
*****
Posts: 3180



« Reply #1 on: March 31, 2008, 01:05:32 pm »

I was using stellarium to test the CMAKE build procedure with vpackager

You shoule be able to build it after installing cmake, and qt4 at the very minimum
Future versions of vpackager will be able to build this from source. Wink
Logged

reb
Vectorite
***
Posts: 136


The BOSS


« Reply #2 on: March 31, 2008, 03:19:53 pm »

Thanks MOE-lnx, I'll see what I can do with cmake and qt4.  In the meantime is there a time frame on the upgrade for vpackager that can do a source build?
Logged

Ye Ole Montana Saddle Tramp
Nothing is right or wrong, good or bad, only thinking makes it so.  Think about it.
Running a Vector Linux VL3300 with 1 SATA 80GB HDD and 1GB DDR 400 ram, DVD+-RW , and VL 5.9 Delux
reb
Vectorite
***
Posts: 136


The BOSS


« Reply #3 on: March 31, 2008, 03:40:18 pm »


Another question.  Where do I find a HOW TO for "vpackager".  I have to use it for the first time.
Logged

Ye Ole Montana Saddle Tramp
Nothing is right or wrong, good or bad, only thinking makes it so.  Think about it.
Running a Vector Linux VL3300 with 1 SATA 80GB HDD and 1GB DDR 400 ram, DVD+-RW , and VL 5.9 Delux
fuelinux
Member
*
Posts: 52



« Reply #4 on: April 01, 2008, 12:08:04 pm »

I think that's the website for it
http://code.google.com/p/vpackager/
sounds like this program makes life easier. I've got to try it.
Will it work with VL5.8?
Logged

Vector Linux 5.8 Standard
M0E-lnx
Administrator
Vectorian
*****
Posts: 3180



« Reply #5 on: April 01, 2008, 04:45:45 pm »

i'm currently working on some modifications to the core of the program but i should have a beta in a couple of weeks or so. It should run on 5.8 after installing the gambas-runtime package as well as the other dependancies listed on the project page
Logged

zhymm
Packager
Member
****
Posts: 20


« Reply #6 on: June 16, 2009, 05:26:47 am »

Greetings,

Just wondering if any further progress has been made with Stellarium?  I'd like to see it available in the VL repositories (along with some other astronomy related packages).  I teach astronomy and use this package in my class quite frequently.  So, it's been a deal-breaker for me as to what linux distro gets installed on my machines at school (hence my desire to see it available for VL).  I'm considering compiling & packaging it for VL (my linux experience/knowledge has reached the point where I'm willing to try Tongue), but I don't want to "step on any toes" if someone is actively working on this project.

Best regards,

Old Man Zhymm
Logged

If I were organized I'd be dangerous.
zhymm
Packager
Member
****
Posts: 20


« Reply #7 on: June 16, 2009, 09:48:56 pm »

OK, I've managed to package Stellarium 0.10.1 today.  You'll need OpenGL enabled with your graphics card (I had to install qt4.5 from testing repo to get it working).  Send a PM for info on downloading until I can see about getting it added to one of the VL repositories (most likely testing because of the qt4.5 dependency).

Old Man Zhymm
« Last Edit: June 17, 2009, 05:58:13 am by zhymm » Logged

If I were organized I'd be dangerous.
Pages: [1]
  Print  
 
Jump to:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2013, Simple Machines Valid XHTML 1.0! Valid CSS!